"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const cli_ux_1 = require("cli-ux");
const buildpacks_1 = require("../../buildpacks");
class Index extends command_1.Command {
    async run() {
        let { flags } = this.parse(Index);
        let buildpacksCommand = new buildpacks_1.BuildpackCommand(this.heroku);
        let buildpacks = await buildpacksCommand.fetch(flags.app);
        if (buildpacks.length === 0) {
            this.log(`${flags.app} has no Buildpack URL set.`);
        }
        else {
            cli_ux_1.cli.styledHeader(`${flags.app} Buildpack URL${buildpacks.length > 1 ? 's' : ''}`);
            buildpacksCommand.display(buildpacks, '');
        }
    }
}
Index.description = 'display the buildpacks for an app';
Index.flags = {
    app: command_1.flags.app({ required: true }),
    remote: command_1.flags.remote()
};
exports.default = Index;
